---
title: 'regexp:match()'
slug: Web/EXSLT/regexp/match
tags:
  - EXSLT
  - NeedsSpecTable
  - Reference
---
<div>{{XSLTRef}}{{QuickLinksWithSubpages("/en-US/docs/Web/EXSLT")}}</div>

<p><code>regexp:match()</code> performs regular expression matching on a string, returning the submatches found as a result.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">regexp:match(<var>targetString</var>, <var>regExpString</var>[, <var>flagsString</var>])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>targetString</code></dt>
 <dd>The string to perform regular expression matching upon.</dd>
 <dt><code>regExpString</code></dt>
 <dd>The JavaScript style regular expression to evaluate.</dd>
 <dt><code>flagsString{{Optional_Inline}}</code></dt>
 <dd>An optional string containing character flags.</dd>
</dl>

<p>The character flags are:</p>

<dl>
 <dt><code>g</code></dt>
 <dd>Global match</dd>
 <dd>The submatches from every match in the string are returned. If this flag isn't specified, only the submatches from the first match are returned.</dd>
 <dt><code>i</code></dt>
 <dd>Case insensitive match</dd>
 <dd>If this flag is specified, the match is performed in a case insensitive fashion.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A node set of <code>match</code> elements, each of which has the string value equal to a portion of the first parameter string as captured by the regular expression. If the match isn't a global one, the first match element has the value of the portion of the string matched by the entire regular expression.</p>

<p>For example:</p>

<pre class="xml">&lt;xsl:for-each select="regExp:match('<span class="nowiki">http://developer.mozilla.org/en/docs/Firefox_3_for_developers</span>',
                                   '(\w+):\/\/([^/:]+)(:\d*)?([^# ]*)')"&gt;
   Part &lt;xsl:value-of select="position()" /&gt; = &lt;xsl:value-of select="." /&gt;
&lt;/xsl:for-each&gt;
</pre>

<p>This code generates the following output:</p>

<pre class="eval">Part 1 = <span class="nowiki">http://developer.mozilla.org/en/docs/Firefox_3_for_developers</span>
Part 2 = http
Part 3 = developer.mozilla.org
Part 4 =
Part 5 = /en/docs/Firefox_3_for_developers
</pre>

<h2 id="Specifications">Specifications</h2>

<p><a class="external" href="http://www.exslt.org/regexp/functions/match/index.html">EXSLT - REGEXP:MATCH</a></p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("xslt.exslt.regexp.match")}}</p>
